Hello,

I have tried to upgrade my shop from 1-2 branch to 1-3 branch.

My Gem file

source 'https://rubygems.org'

gem 'rails', '3.2.9'


group :assets do
gem 'sass-rails', '~> 3.2.3'
gem 'coffee-rails', '~> 3.2.1'


gem 'uglifier', '>= 1.0.3'
end



gem 'jquery-rails'

gem 'spree', :git => 'git://github.com/spree/spree.git' , :branch
=>'1-3-stable'
gem 'spree_auth_devise', :git =>
'git://github.com/spree/spree_auth_devise', :branch =>'1-3-stable'
gem 'spree_paypal_express', :git =>
'git://github.com/spree/spree_paypal_express.git'
gem 'spree_i18n', :git => 'git://github.com/spree/spree_i18n.git'


group :production do
gem 'puma'
gem 'pg'
end

group :development do
gem 'sqlite3'
end

The error :

undefined method `last_incomplete_spree_order' for #<Spree::User:0x007feea508ceb0>



Spree.rb


Spree.config do |config|
end

Spree.user_class = "Spree::LegacyUser"


Thank you for any help

--
You received this message because you are subscribed to the Google Groups "Spree" group.
To view this discussion on the web visit https://groups.google.com/d/msg/spree-user/-/OM_MB2g_mZAJ.
To post to this group, send email to spree-user@googlegroups.com.
To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.

Search Discussions

  • Bolo Michelin at Dec 13, 2012 at 12:38 pm
    I have also tried to recreate my database :

    rake db:drop
    rake db:create
    rake db:migrate

    And now i have this issue

    Showing *
    /Users/bolo/.rvm/gems/ruby-1.9.2-p320/bundler/gems/spree-eea79831bbad/core/app/views/spree/shared/_main_nav_bar.html.erb
    * where line *#4* raised:

    undefined method `last_ip_address=' for nil:NilClass

    Extracted source (around line *#4*):

    1: <nav class="columns sixteen">
    2: <ul id="main-nav-bar" class="inline" data-hook>
    3: <li id="home-link" data-hook><%= link_to t(:home), root_path %></li>
    4: <li id="link-to-cart" data-hook><%= link_to_cart %></li>
    5: </ul>
    6: </nav>

    Le jeudi 13 décembre 2012 08:23:27 UTC-4, Bolo Michelin a écrit :
    Hello,

    I have tried to upgrade my shop from 1-2 branch to 1-3 branch.

    My Gem file

    source 'https://rubygems.org'

    gem 'rails', '3.2.9'


    group :assets do
    gem 'sass-rails', '~> 3.2.3'
    gem 'coffee-rails', '~> 3.2.1'


    gem 'uglifier', '>= 1.0.3'
    end



    gem 'jquery-rails'

    gem 'spree', :git => 'git://github.com/spree/spree.git' , :branch
    =>'1-3-stable'
    gem 'spree_auth_devise', :git => 'git://github.com/spree/spree_auth_devise',
    :branch =>'1-3-stable'
    gem 'spree_paypal_express', :git => 'git://
    github.com/spree/spree_paypal_express.git'
    gem 'spree_i18n', :git => 'git://github.com/spree/spree_i18n.git'


    group :production do
    gem 'puma'
    gem 'pg'
    end

    group :development do
    gem 'sqlite3'
    end

    The error :

    undefined method `last_incomplete_spree_order' for #<Spree::User:0x007feea508ceb0>



    Spree.rb


    Spree.config do |config|
    end

    Spree.user_class = "Spree::LegacyUser"


    Thank you for any help
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/spree-user/-/r1MkX-60fBgJ.
    To post to this group, send email to spree-user@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.
  • Bolo Michelin at Dec 13, 2012 at 6:10 pm
    Hi nate.

    I have done :

    "*rake spree:migrations:install* to first install the migrations into your
    app and then run *rake db:migrate* to install any new migrations that might
    be available."

    but i have still same error message .

    Le jeudi 13 décembre 2012 09:44:01 UTC-4, Nate Lowrie a écrit :
    The 1-3-stable version might contain some updates and migrations that you
    need to run. Run *rake spree:migrations:install* to first install the
    migrations into your app and then run *rake db:migrate* to install any
    new migrations that might be available. Until you run the first rake task
    you won't get the new migrations brought over.
    On Thursday, December 13, 2012 7:38:25 AM UTC-5, Bolo Michelin wrote:

    I have also tried to recreate my database :

    rake db:drop
    rake db:create
    rake db:migrate

    And now i have this issue

    Showing *
    /Users/bolo/.rvm/gems/ruby-1.9.2-p320/bundler/gems/spree-eea79831bbad/core/app/views/spree/shared/_main_nav_bar.html.erb
    * where line *#4* raised:

    undefined method `last_ip_address=' for nil:NilClass

    Extracted source (around line *#4*):

    1: <nav class="columns sixteen">
    2: <ul id="main-nav-bar" class="inline" data-hook>
    3: <li id="home-link" data-hook><%= link_to t(:home), root_path %></li>
    4: <li id="link-to-cart" data-hook><%= link_to_cart %></li>
    5: </ul>
    6: </nav>

    Le jeudi 13 décembre 2012 08:23:27 UTC-4, Bolo Michelin a écrit :
    Hello,

    I have tried to upgrade my shop from 1-2 branch to 1-3 branch.

    My Gem file

    source 'https://rubygems.org'

    gem 'rails', '3.2.9'


    group :assets do
    gem 'sass-rails', '~> 3.2.3'
    gem 'coffee-rails', '~> 3.2.1'


    gem 'uglifier', '>= 1.0.3'
    end



    gem 'jquery-rails'

    gem 'spree', :git => 'git://github.com/spree/spree.git' , :branch
    =>'1-3-stable'
    gem 'spree_auth_devise', :git => 'git://
    github.com/spree/spree_auth_devise', :branch =>'1-3-stable'
    gem 'spree_paypal_express', :git => 'git://
    github.com/spree/spree_paypal_express.git'
    gem 'spree_i18n', :git => 'git://github.com/spree/spree_i18n.git'


    group :production do
    gem 'puma'
    gem 'pg'
    end

    group :development do
    gem 'sqlite3'
    end

    The error :

    undefined method `last_incomplete_spree_order' for #<Spree::User:0x007feea508ceb0>



    Spree.rb


    Spree.config do |config|
    end

    Spree.user_class = "Spree::LegacyUser"


    Thank you for any help
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/spree-user/-/35J1YO7o_tgJ.
    To post to this group, send email to spree-user@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.
  • Bolo Michelin at Dec 13, 2012 at 9:30 pm
    I have recreate my shop. Everything is working now

    Le jeudi 13 décembre 2012 14:10:02 UTC-4, Bolo Michelin a écrit :
    Hi nate.

    I have done :

    "*rake spree:migrations:install* to first install the migrations into
    your app and then run *rake db:migrate* to install any new migrations
    that might be available."

    but i have still same error message .

    Le jeudi 13 décembre 2012 09:44:01 UTC-4, Nate Lowrie a écrit :
    The 1-3-stable version might contain some updates and migrations that you
    need to run. Run *rake spree:migrations:install* to first install the
    migrations into your app and then run *rake db:migrate* to install any
    new migrations that might be available. Until you run the first rake task
    you won't get the new migrations brought over.
    On Thursday, December 13, 2012 7:38:25 AM UTC-5, Bolo Michelin wrote:

    I have also tried to recreate my database :

    rake db:drop
    rake db:create
    rake db:migrate

    And now i have this issue

    Showing *
    /Users/bolo/.rvm/gems/ruby-1.9.2-p320/bundler/gems/spree-eea79831bbad/core/app/views/spree/shared/_main_nav_bar.html.erb
    * where line *#4* raised:

    undefined method `last_ip_address=' for nil:NilClass

    Extracted source (around line *#4*):

    1: <nav class="columns sixteen">
    2: <ul id="main-nav-bar" class="inline" data-hook>
    3: <li id="home-link" data-hook><%= link_to t(:home), root_path %></li>
    4: <li id="link-to-cart" data-hook><%= link_to_cart %></li>
    5: </ul>
    6: </nav>

    Le jeudi 13 décembre 2012 08:23:27 UTC-4, Bolo Michelin a écrit :
    Hello,

    I have tried to upgrade my shop from 1-2 branch to 1-3 branch.

    My Gem file

    source 'https://rubygems.org'

    gem 'rails', '3.2.9'


    group :assets do
    gem 'sass-rails', '~> 3.2.3'
    gem 'coffee-rails', '~> 3.2.1'


    gem 'uglifier', '>= 1.0.3'
    end



    gem 'jquery-rails'

    gem 'spree', :git => 'git://github.com/spree/spree.git' , :branch
    =>'1-3-stable'
    gem 'spree_auth_devise', :git => 'git://
    github.com/spree/spree_auth_devise', :branch =>'1-3-stable'
    gem 'spree_paypal_express', :git => 'git://
    github.com/spree/spree_paypal_express.git'
    gem 'spree_i18n', :git => 'git://github.com/spree/spree_i18n.git'


    group :production do
    gem 'puma'
    gem 'pg'
    end

    group :development do
    gem 'sqlite3'
    end

    The error :

    undefined method `last_incomplete_spree_order' for #<Spree::User:0x007feea508ceb0>



    Spree.rb


    Spree.config do |config|
    end

    Spree.user_class = "Spree::LegacyUser"


    Thank you for any help
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/spree-user/-/F3c5Izewl1oJ.
    To post to this group, send email to spree-user@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupspree-user @
categoriesrubyonrails
postedDec 13, '12 at 12:23p
activeDec 13, '12 at 9:30p
posts4
users1
websitespreecommerce.com
irc#RubyOnRails

1 user in discussion

Bolo Michelin: 4 posts

People

Translate

site design / logo © 2022 Grokbase